package com.trade.service.contract.util.esign.entity;

import java.io.Serializable;

/**
 * @Description:e签宝：机构帐号信息响应类
 * @Author:胡利
 * @E-mail:2511461589@qq.com
 * @Date:2020年5月25日 下午7:03:03
 */
public class ESignOrganAccountResponse implements Serializable {

    private static final long serialVersionUID = 1L;
    /** 机构账号Id */
    private String orgId;
    /** 机构名称 */
    private String name;
    /** 证件类型 */
    private String idType;
    /** 证件号 */
    private String idNumber;
    /** 第三方平台的机构id */
    private String thirdPartyUserId;
    /** 机构法人证件号 */
    private String orgLegalIdNumber;
    /** 机构法人姓名 */
    private String orgLegalName;

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getThirdPartyUserId() {
        return thirdPartyUserId;
    }

    public void setThirdPartyUserId(String thirdPartyUserId) {
        this.thirdPartyUserId = thirdPartyUserId;
    }

    public String getOrgLegalIdNumber() {
        return orgLegalIdNumber;
    }

    public void setOrgLegalIdNumber(String orgLegalIdNumber) {
        this.orgLegalIdNumber = orgLegalIdNumber;
    }

    public String getOrgLegalName() {
        return orgLegalName;
    }

    public void setOrgLegalName(String orgLegalName) {
        this.orgLegalName = orgLegalName;
    }
}
